import QtQuick 2.0
import "./anthy" 1.0

Rectangle {
    width: 360
    height: 360

    TextInput {
        id: input
        text: ""
        anchors.fill: parent
        focus: true
        //echoMode: TextInput.NoEcho

        Keys.onPressed: {
            console.log("Input: " + event.text)
            anthy.append(event.text)
            input.text = anthy.preeditString
        }

        Keys.onReturnPressed: {
            console.log("enter")
            anthy.append("\n")
        }
    }

    Anthy {
        id: anthy

        Component.onCompleted: {
            console.log("loaded")
        }

        onPreeditStringChanged: {
            console.log("Changed: " + anthy.preeditString)
        }

        onPreeditStringCommitted: {
            console.log("Committed: " + str)
            input.text = ""
        }
    }
}

