#ifndef ROMAJI_H
#define ROMAJI_H

#include <QMap>

static QMap<QString, QString> __romaji() {
    QMap<QString, QString>map;
    map.insert(QString("a"), QString("あ"));
    map.insert(QString("i"), QString("い"));
    map.insert(QString("u"), QString("う"));
    map.insert(QString("e"), QString("え"));
    map.insert(QString("o"), QString("お"));
    map.insert(QString("la"), QString("ぁ"));
    map.insert(QString("li"), QString("ぃ"));
    map.insert(QString("lu"), QString("ぅ"));
    map.insert(QString("le"), QString("ぇ"));
    map.insert(QString("lo"), QString("ぉ"));
    map.insert(QString("xa"), QString("ぁ"));
    map.insert(QString("xi"), QString("ぃ"));
    map.insert(QString("xu"), QString("ぅ"));
    map.insert(QString("xe"), QString("ぇ"));
    map.insert(QString("xo"), QString("ぉ"));
    map.insert(QString("wi"), QString("うぃ"));
    map.insert(QString("we"), QString("うぇ"));
    map.insert(QString("wha"), QString("うぁ"));
    map.insert(QString("whi"), QString("うぃ"));
    map.insert(QString("whe"), QString("うぇ"));
    map.insert(QString("who"), QString("うぉ"));
    map.insert(QString("va"), QString("ヴぁ"));
    map.insert(QString("vi"), QString("ヴぃ"));
    map.insert(QString("vu"), QString("ヴ"));
    map.insert(QString("ve"), QString("ヴぇ"));
    map.insert(QString("vo"), QString("ヴぉ"));
    map.insert(QString("ka"), QString("か"));
    map.insert(QString("ki"), QString("き"));
    map.insert(QString("ku"), QString("く"));
    map.insert(QString("ke"), QString("け"));
    map.insert(QString("ko"), QString("こ"));
    map.insert(QString("ga"), QString("が"));
    map.insert(QString("gi"), QString("ぎ"));
    map.insert(QString("gu"), QString("ぐ"));
    map.insert(QString("ge"), QString("げ"));
    map.insert(QString("go"), QString("ご"));
    map.insert(QString("lka"), QString("ゕ"));
    map.insert(QString("lke"), QString("ゖ"));
    map.insert(QString("xka"), QString("ゕ"));
    map.insert(QString("xke"), QString("ゖ"));
    map.insert(QString("kya"), QString("きゃ"));
    map.insert(QString("kyi"), QString("きぃ"));
    map.insert(QString("kyu"), QString("きゅ"));
    map.insert(QString("kye"), QString("きぇ"));
    map.insert(QString("kyo"), QString("きょ"));
    map.insert(QString("gya"), QString("ぎゃ"));
    map.insert(QString("gyi"), QString("ぎぃ"));
    map.insert(QString("gyu"), QString("ぎゅ"));
    map.insert(QString("gye"), QString("ぎぇ"));
    map.insert(QString("gyo"), QString("ぎょ"));
    map.insert(QString("sa"), QString("さ"));
    map.insert(QString("si"), QString("し"));
    map.insert(QString("su"), QString("す"));
    map.insert(QString("se"), QString("せ"));
    map.insert(QString("so"), QString("そ"));
    map.insert(QString("za"), QString("ざ"));
    map.insert(QString("zi"), QString("じ"));
    map.insert(QString("zu"), QString("ず"));
    map.insert(QString("ze"), QString("ぜ"));
    map.insert(QString("zo"), QString("ぞ"));
    map.insert(QString("sya"), QString("しゃ"));
    map.insert(QString("syi"), QString("しぃ"));
    map.insert(QString("syu"), QString("しゅ"));
    map.insert(QString("sye"), QString("しぇ"));
    map.insert(QString("syo"), QString("しょ"));
    map.insert(QString("sha"), QString("しゃ"));
    map.insert(QString("shi"), QString("し"));
    map.insert(QString("shu"), QString("しゅ"));
    map.insert(QString("she"), QString("しぇ"));
    map.insert(QString("sho"), QString("しょ"));
    map.insert(QString("zya"), QString("じゃ"));
    map.insert(QString("zyi"), QString("じぃ"));
    map.insert(QString("zyu"), QString("じゅ"));
    map.insert(QString("zye"), QString("じぇ"));
    map.insert(QString("zyo"), QString("じょ"));
    map.insert(QString("ja"), QString("じゃ"));
    map.insert(QString("ji"), QString("じ"));
    map.insert(QString("ju"), QString("じゅ"));
    map.insert(QString("je"), QString("じぇ"));
    map.insert(QString("jo"), QString("じょ"));
    map.insert(QString("jya"), QString("じゃ"));
    map.insert(QString("jya"), QString("じぃ"));
    map.insert(QString("jyu"), QString("じゅ"));
    map.insert(QString("jye"), QString("じぇ"));
    map.insert(QString("jyo"), QString("じょ"));
    map.insert(QString("ta"), QString("た"));
    map.insert(QString("ti"), QString("ち"));
    map.insert(QString("tu"), QString("つ"));
    map.insert(QString("tsu"), QString("つ"));
    map.insert(QString("te"), QString("て"));
    map.insert(QString("to"), QString("と"));
    map.insert(QString("da"), QString("だ"));
    map.insert(QString("di"), QString("ぢ"));
    map.insert(QString("du"), QString("づ"));
    map.insert(QString("de"), QString("で"));
    map.insert(QString("do"), QString("ど"));
    map.insert(QString("ltu"), QString("っ"));
    map.insert(QString("ltsu"), QString("っ"));
    map.insert(QString("xtu"), QString("っ"));
    map.insert(QString("xtsu"), QString("っ"));
    map.insert(QString("tya"), QString("ちゃ"));
    map.insert(QString("tyi"), QString("ちぃ"));
    map.insert(QString("tyu"), QString("ちゅ"));
    map.insert(QString("tye"), QString("ちぇ"));
    map.insert(QString("tyo"), QString("ちょ"));
    map.insert(QString("cha"), QString("ちゃ"));
    map.insert(QString("chi"), QString("ち"));
    map.insert(QString("chu"), QString("ちゅ"));
    map.insert(QString("che"), QString("ちぇ"));
    map.insert(QString("cho"), QString("ちょ"));
    map.insert(QString("dya"), QString("ぢゃ"));
    map.insert(QString("dyi"), QString("ぢぃ"));
    map.insert(QString("dyu"), QString("ぢゅ"));
    map.insert(QString("dye"), QString("ぢぇ"));
    map.insert(QString("dyo"), QString("ぢょ"));
    map.insert(QString("tha"), QString("てゃ"));
    map.insert(QString("thi"), QString("てぃ"));
    map.insert(QString("thu"), QString("てゅ"));
    map.insert(QString("the"), QString("てぇ"));
    map.insert(QString("tho"), QString("てょ"));
    map.insert(QString("dha"), QString("でゃ"));
    map.insert(QString("dhi"), QString("でぃ"));
    map.insert(QString("dhu"), QString("でゅ"));
    map.insert(QString("dhe"), QString("でぇ"));
    map.insert(QString("dho"), QString("でょ"));
    map.insert(QString("na"), QString("な"));
    map.insert(QString("ni"), QString("に"));
    map.insert(QString("nu"), QString("ぬ"));
    map.insert(QString("ne"), QString("ね"));
    map.insert(QString("no"), QString("の"));
    map.insert(QString("nya"), QString("にゃ"));
    map.insert(QString("nyi"), QString("にぃ"));
    map.insert(QString("nyu"), QString("にゅ"));
    map.insert(QString("nye"), QString("にぇ"));
    map.insert(QString("nyo"), QString("にょ"));
    map.insert(QString("ha"), QString("は"));
    map.insert(QString("hi"), QString("ひ"));
    map.insert(QString("hu"), QString("ふ"));
    map.insert(QString("he"), QString("へ"));
    map.insert(QString("ho"), QString("ほ"));
    map.insert(QString("ba"), QString("ば"));
    map.insert(QString("bi"), QString("び"));
    map.insert(QString("bu"), QString("ぶ"));
    map.insert(QString("be"), QString("べ"));
    map.insert(QString("bo"), QString("ぼ"));
    map.insert(QString("pa"), QString("ぱ"));
    map.insert(QString("pi"), QString("ぴ"));
    map.insert(QString("pu"), QString("ぷ"));
    map.insert(QString("pe"), QString("ぺ"));
    map.insert(QString("po"), QString("ぽ"));
    map.insert(QString("hya"), QString("ひゃ"));
    map.insert(QString("hyi"), QString("ひぃ"));
    map.insert(QString("hyu"), QString("ひゅ"));
    map.insert(QString("hye"), QString("ひぇ"));
    map.insert(QString("hyo"), QString("ひょ"));
    map.insert(QString("bya"), QString("びゃ"));
    map.insert(QString("byi"), QString("びぃ"));
    map.insert(QString("byu"), QString("びゅ"));
    map.insert(QString("bye"), QString("びぇ"));
    map.insert(QString("byo"), QString("びょ"));
    map.insert(QString("pya"), QString("ぴゃ"));
    map.insert(QString("pyi"), QString("ぴぃ"));
    map.insert(QString("pyu"), QString("ぴゅ"));
    map.insert(QString("pye"), QString("ぴぇ"));
    map.insert(QString("pyo"), QString("ぴょ"));
    map.insert(QString("fa"), QString("ふぁ"));
    map.insert(QString("fi"), QString("ふぃ"));
    map.insert(QString("fu"), QString("ふ"));
    map.insert(QString("fe"), QString("ふぇ"));
    map.insert(QString("fo"), QString("ふぉ"));
    map.insert(QString("ma"), QString("ま"));
    map.insert(QString("mi"), QString("み"));
    map.insert(QString("mu"), QString("む"));
    map.insert(QString("me"), QString("め"));
    map.insert(QString("mo"), QString("も"));
    map.insert(QString("mya"), QString("みゃ"));
    map.insert(QString("myi"), QString("みぃ"));
    map.insert(QString("myu"), QString("みゅ"));
    map.insert(QString("mye"), QString("みぇ"));
    map.insert(QString("myo"), QString("みょ"));
    map.insert(QString("ya"), QString("や"));
    map.insert(QString("yu"), QString("ゆ"));
    map.insert(QString("yo"), QString("よ"));
    map.insert(QString("lxa"), QString("ゃ"));
    map.insert(QString("lxu"), QString("ゅ"));
    map.insert(QString("lyo"), QString("ょ"));
    map.insert(QString("xya"), QString("ゃ"));
    map.insert(QString("xyu"), QString("ゅ"));
    map.insert(QString("xyo"), QString("ょ"));
    map.insert(QString("ra"), QString("ら"));
    map.insert(QString("ri"), QString("り"));
    map.insert(QString("ru"), QString("る"));
    map.insert(QString("re"), QString("れ"));
    map.insert(QString("ro"), QString("ろ"));
    map.insert(QString("rya"), QString("りゃ"));
    map.insert(QString("ryi"), QString("りぃ"));
    map.insert(QString("ryu"), QString("りゅ"));
    map.insert(QString("rye"), QString("りぇ"));
    map.insert(QString("ryo"), QString("りょ"));
    map.insert(QString("wa"), QString("わ"));
    map.insert(QString("wo"), QString("を"));
    map.insert(QString("xwa"), QString("ゎ"));
    map.insert(QString("nn"), QString("ん"));
    map.insert(QString("wyi"), QString("ゐ"));
    map.insert(QString("wye"), QString("ゑ"));
    map.insert(QString("bb"), QString("っb"));
    map.insert(QString("cc"), QString("っc"));
    map.insert(QString("dd"), QString("っd"));
    map.insert(QString("ff"), QString("っf"));
    map.insert(QString("gg"), QString("っg"));
    map.insert(QString("hh"), QString("っh"));
    map.insert(QString("jj"), QString("っj"));
    map.insert(QString("kk"), QString("っk"));
    map.insert(QString("mm"), QString("っm"));
    map.insert(QString("pp"), QString("っp"));
    map.insert(QString("rr"), QString("っr"));
    map.insert(QString("ss"), QString("っs"));
    map.insert(QString("tt"), QString("っt"));
    map.insert(QString("vv"), QString("っv"));
    map.insert(QString("ww"), QString("っw"));
    map.insert(QString("xx"), QString("っx"));
    map.insert(QString("yy"), QString("っy"));
    map.insert(QString("zz"), QString("っz"));
    map.insert(QString("nb"), QString("んb"));
    map.insert(QString("nc"), QString("んc"));
    map.insert(QString("nd"), QString("んd"));
    map.insert(QString("nf"), QString("んf"));
    map.insert(QString("ng"), QString("んg"));
    map.insert(QString("nh"), QString("んh"));
    map.insert(QString("nj"), QString("んj"));
    map.insert(QString("nk"), QString("んk"));
    map.insert(QString("nl"), QString("んl"));
    map.insert(QString("nm"), QString("んm"));
    map.insert(QString("np"), QString("んp"));
    map.insert(QString("nr"), QString("んr"));
    map.insert(QString("ns"), QString("んs"));
    map.insert(QString("nt"), QString("んt"));
    map.insert(QString("nv"), QString("んv"));
    map.insert(QString("nw"), QString("んw"));
    map.insert(QString("nx"), QString("んx"));
    map.insert(QString("nz"), QString("んz"));
    map.insert(QString("n."), QString("ん。"));
    map.insert(QString("n,"), QString("ん、"));
    map.insert(QString("n["), QString("ん「"));
    map.insert(QString("n]"), QString("ん」"));
    map.insert(QString("n1"), QString("ん１"));
    map.insert(QString("n2"), QString("ん２"));
    map.insert(QString("n3"), QString("ん３"));
    map.insert(QString("n4"), QString("ん４"));
    map.insert(QString("n5"), QString("ん５"));
    map.insert(QString("n6"), QString("ん６"));
    map.insert(QString("n7"), QString("ん７"));
    map.insert(QString("n8"), QString("ん８"));
    map.insert(QString("n9"), QString("ん９"));
    map.insert(QString("n0"), QString("ん０"));
    map.insert(QString("n!"), QString("ん！"));
    map.insert(QString("n\""), QString("ん”"));
    map.insert(QString("n#"), QString("ん＃"));
    map.insert(QString("n$"), QString("ん＄"));
    map.insert(QString("n%"), QString("ん％"));
    map.insert(QString("n&"), QString("ん＆"));
    map.insert(QString("n("), QString("ん（"));
    map.insert(QString("n)"), QString("ん）"));
    map.insert(QString("n~"), QString("ん〜"));
    map.insert(QString("n="), QString("ん＝"));
    map.insert(QString("n|"), QString("ん｜"));
    map.insert(QString("n'"), QString("ん‘"));
    map.insert(QString("n{"), QString("ん｛"));
    map.insert(QString("n}"), QString("ん｝"));
    map.insert(QString("n+"), QString("ん＋"));
    map.insert(QString("n*"), QString("ん＊"));
    map.insert(QString("n<"), QString("ん＜"));
    map.insert(QString("n>"), QString("ん＞"));
    map.insert(QString("n?"), QString("ん？"));
    map.insert(QString("n_"), QString("ん＿"));
    map.insert(QString("n-"), QString("んー"));
    map.insert(QString("."), QString("。"));
    map.insert(QString(","), QString("、"));
    map.insert(QString("["), QString("「"));
    map.insert(QString("]"), QString("」"));
    map.insert(QString("1"), QString("１"));
    map.insert(QString("2"), QString("２"));
    map.insert(QString("3"), QString("３"));
    map.insert(QString("4"), QString("４"));
    map.insert(QString("5"), QString("５"));
    map.insert(QString("6"), QString("６"));
    map.insert(QString("7"), QString("７"));
    map.insert(QString("8"), QString("８"));
    map.insert(QString("9"), QString("９"));
    map.insert(QString("0"), QString("０"));
    map.insert(QString("!"), QString("！"));
    map.insert(QString("\""), QString("”"));
    map.insert(QString("#"), QString("＃"));
    map.insert(QString("$"), QString("＄"));
    map.insert(QString("%"), QString("％"));
    map.insert(QString("&"), QString("＆"));
    map.insert(QString("("), QString("（"));
    map.insert(QString(")"), QString("）"));
    map.insert(QString("~"), QString("〜"));
    map.insert(QString("="), QString("＝"));
    map.insert(QString("|"), QString("｜"));
    map.insert(QString("'"), QString("‘"));
    map.insert(QString("{"), QString("｛"));
    map.insert(QString("}"), QString("｝"));
    map.insert(QString("+"), QString("＋"));
    map.insert(QString("*"), QString("＊"));
    map.insert(QString("<"), QString("＜"));
    map.insert(QString(">"), QString("＞"));
    map.insert(QString("?"), QString("？"));
    map.insert(QString("_"), QString("＿"));
    map.insert(QString("-"), QString("ー"));
    return map;
}

static const QMap<QString, QString> romaji = __romaji();

#endif
